Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Virtual Machine Scale Sets - Force Recovery Service Fabric Platform Update Domain Walk
- Service:
- Compute
- API Version:
- 2026-03-01
Manual platform update domain walk to update virtual machines in a service fabric virtual machine scale set.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/virtualMachineScaleSets/{vmScaleSetName}/forceRecoveryServiceFabricPlatformUpdateDomainWalk?api-version=2026-03-01&platformUpdateDomain={platformUpdateDomain}
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/virtualMachineScaleSets/{vmScaleSetName}/forceRecoveryServiceFabricPlatformUpdateDomainWalk?api-version=2026-03-01&platformUpdateDomain={platformUpdateDomain}&zone={zone}&placementGroupId={placementGroupId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resourceGroupName
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscriptionId
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
vmScaleSetName
|
path | True |
string |
The name of the VM scale set. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
platformUpdateDomain
|
query | True |
integer (int32) |
The platform update domain for which a manual recovery walk is requested |
|
placementGroupId
|
query |
string |
The placement group id for which the manual recovery walk is requested. |
|
|
zone
|
query |
string |
The zone in which the manual recovery walk is requested for cross zone virtual machine scale set |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
| VirtualMachineScaleSet_ForceRecoveryServiceFabricPlatformUpdateDomainWalk_MaximumSet_Gen |
| VirtualMachineScaleSet_ForceRecoveryServiceFabricPlatformUpdateDomainWalk_MinimumSet_Gen |
VirtualMachineScaleSet_ForceRecoveryServiceFabricPlatformUpdateDomainWalk_MaximumSet_Gen
Sample request
POST https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/rgcompute/providers/Microsoft.Compute/virtualMachineScaleSets/aaaaaaaaaaaaaaaa/forceRecoveryServiceFabricPlatformUpdateDomainWalk?api-version=2026-03-01&platformUpdateDomain=30
Sample response
- Status code:
- 200
{
"walkPerformed": true,
"nextPlatformUpdateDomain": 7
}
VirtualMachineScaleSet_ForceRecoveryServiceFabricPlatformUpdateDomainWalk_MinimumSet_Gen
Sample request
POST https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/rgcompute/providers/Microsoft.Compute/virtualMachineScaleSets/aaaaaaaaaaaa/forceRecoveryServiceFabricPlatformUpdateDomainWalk?api-version=2026-03-01&platformUpdateDomain=9
Sample response
- Status code:
- 200
{}
Definitions
| Name | Description |
|---|---|
| ApiError |
Api error. |
| ApiErrorBase |
Api error base. |
| CloudError |
An error response from the Compute service. |
| InnerError |
Inner error details. |
| RecoveryWalkResponse |
Response after calling a manual recovery walk |
ApiError
Api error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
The Api error details |
|
| innererror |
The Api inner error |
|
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
ApiErrorBase
Api error base.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
CloudError
An error response from the Compute service.
| Name | Type | Description |
|---|---|---|
| error |
Api error. |
InnerError
Inner error details.
| Name | Type | Description |
|---|---|---|
| errordetail |
string |
The internal error message or exception dump. |
| exceptiontype |
string |
The exception type. |
RecoveryWalkResponse
Response after calling a manual recovery walk
| Name | Type | Description |
|---|---|---|
| nextPlatformUpdateDomain |
integer (int32) |
The next update domain that needs to be walked. Null means walk spanning all update domains has been completed |
| walkPerformed |
boolean |
Whether the recovery walk was performed |
